import { searchInputPlaceholder } from "@/constant";
import { queryTransaction } from "ycc-api/dist/cmjs/service/blockDetail/index";
import Vue from "vue";

export default Vue.extend({
  data() {
    return {
      searchInputPlaceholder,
      searchValue: "",
      data: {} as any,
    };
  },
  async mounted() {
    const ret = await queryTransaction(
      "ycc",
      "/yccApi",
      this.$route.query.hash as string
    );
    if (ret) {
      this.data = ret;
    }
  },
  methods: {
    clickSearch(str: string) {
      console.log(str);
    },
    setSearchValue(v: string) {
      this.searchValue = v;
    },
  },
});
